	.file	"pushpopmem.c"
	.section	.debug_abbrev,"",@progbits
.Ldebug_abbrev0:
	.section	.debug_info,"",@progbits
.Ldebug_info0:
	.section	.debug_line,"",@progbits
.Ldebug_line0:
	.text
.Ltext0:
	.cfi_sections	.debug_frame
	.section	.rodata
.LC0:
	.string	"pushpopmem.c"
.LC1:
	.string	"y"
.LC2:
	.string	"z"
	.text
.globl do32
	.type	do32, @function
do32:
.LFB0:
	.file 1 "pushpopmem.c"
	.loc 1 7 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	pushl	%ebx
	subl	$36, %esp
	.loc 1 8 0
	movl	$4, (%esp)
	.cfi_offset 3, -12
	call	malloc
	movl	%eax, -20(%ebp)
	.loc 1 9 0
	movl	$4, (%esp)
	call	malloc
	movl	%eax, -16(%ebp)
	.loc 1 11 0
	cmpl	$0, -20(%ebp)
	jne	.L2
	movl	$__PRETTY_FUNCTION__.2364, 12(%esp)
	movl	$11, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC1, (%esp)
	call	__assert_fail
.L2:
	.loc 1 12 0
	cmpl	$0, -16(%ebp)
	jne	.L3
	movl	$__PRETTY_FUNCTION__.2364, 12(%esp)
	movl	$12, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC2, (%esp)
	call	__assert_fail
.L3:
	.loc 1 13 0
	movl	-20(%ebp), %eax
	movl	8(%ebp), %edx
	movl	%edx, (%eax)
	.loc 1 14 0
	movl	-20(%ebp), %edx
	movl	-16(%ebp), %ecx
#APP
# 14 "pushpopmem.c" 1
	pushl %edx
	pushl %ecx
	popl %ebx
	popl %eax
	pushl 0(%eax)
	popl 0(%ebx)
# 0 "" 2
	.loc 1 25 0
#NO_APP
	movl	-16(%ebp), %eax
	movl	(%eax), %eax
	movl	%eax, -12(%ebp)
	.loc 1 26 0
	movl	-20(%ebp), %eax
	movl	%eax, (%esp)
	call	free
	.loc 1 27 0
	movl	-16(%ebp), %eax
	movl	%eax, (%esp)
	call	free
	.loc 1 28 0
	movl	-12(%ebp), %eax
	.loc 1 29 0
	addl	$36, %esp
	popl	%ebx
	.cfi_restore 3
	popl	%ebp
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE0:
	.size	do32, .-do32
.globl do16
	.type	do16, @function
do16:
.LFB1:
	.loc 1 32 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	pushl	%ebx
	subl	$52, %esp
	movl	8(%ebp), %eax
	movw	%ax, -28(%ebp)
	.loc 1 33 0
	movl	$2, (%esp)
	.cfi_offset 3, -12
	call	malloc
	movl	%eax, -20(%ebp)
	.loc 1 34 0
	movl	$2, (%esp)
	call	malloc
	movl	%eax, -16(%ebp)
	.loc 1 36 0
	cmpl	$0, -20(%ebp)
	jne	.L6
	movl	$__PRETTY_FUNCTION__.2378, 12(%esp)
	movl	$36, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC1, (%esp)
	call	__assert_fail
.L6:
	.loc 1 37 0
	cmpl	$0, -16(%ebp)
	jne	.L7
	movl	$__PRETTY_FUNCTION__.2378, 12(%esp)
	movl	$37, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC2, (%esp)
	call	__assert_fail
.L7:
	.loc 1 38 0
	movl	-20(%ebp), %eax
	movzwl	-28(%ebp), %edx
	movw	%dx, (%eax)
	.loc 1 39 0
	movl	-20(%ebp), %edx
	movl	-16(%ebp), %ecx
#APP
# 39 "pushpopmem.c" 1
	pushl %edx
	pushl %ecx
	popl %ebx
	popl %eax
	pushw 0(%eax)
	popw 0(%ebx)
# 0 "" 2
	.loc 1 50 0
#NO_APP
	movl	-16(%ebp), %eax
	movzwl	(%eax), %eax
	movw	%ax, -10(%ebp)
	.loc 1 51 0
	movl	-20(%ebp), %eax
	movl	%eax, (%esp)
	call	free
	.loc 1 52 0
	movl	-16(%ebp), %eax
	movl	%eax, (%esp)
	call	free
	.loc 1 53 0
	movzwl	-10(%ebp), %eax
	.loc 1 54 0
	addl	$52, %esp
	popl	%ebx
	.cfi_restore 3
	popl	%ebp
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE1:
	.size	do16, .-do16
	.section	.rodata
.LC3:
	.string	"do32: 0x%08X\n"
.LC4:
	.string	"do16: 0x%08X\n"
	.text
.globl main
	.type	main, @function
main:
.LFB2:
	.loc 1 58 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	andl	$-16, %esp
	subl	$16, %esp
	.loc 1 59 0
	movl	$-889275714, (%esp)
	call	do32
	movl	$.LC3, %edx
	movl	%eax, 4(%esp)
	movl	%edx, (%esp)
	call	printf
	.loc 1 60 0
	movl	$65210, (%esp)
	call	do16
	movzwl	%ax, %edx
	movl	$.LC4, %eax
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
	.loc 1 61 0
	movl	$0, %eax
	.loc 1 62 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE2:
	.size	main, .-main
	.section	.rodata
	.type	__PRETTY_FUNCTION__.2378, @object
	.size	__PRETTY_FUNCTION__.2378, 5
__PRETTY_FUNCTION__.2378:
	.string	"do16"
	.type	__PRETTY_FUNCTION__.2364, @object
	.size	__PRETTY_FUNCTION__.2364, 5
__PRETTY_FUNCTION__.2364:
	.string	"do32"
	.text
.Letext0:
	.section	.debug_info
	.long	0x164
	.value	0x3
	.long	.Ldebug_abbrev0
	.byte	0x4
	.uleb128 0x1
	.long	.LASF13
	.byte	0x1
	.long	.LASF14
	.long	.LASF15
	.long	.Ltext0
	.long	.Letext0
	.long	.Ldebug_line0
	.uleb128 0x2
	.byte	0x4
	.byte	0x7
	.long	.LASF0
	.uleb128 0x2
	.byte	0x1
	.byte	0x8
	.long	.LASF1
	.uleb128 0x2
	.byte	0x2
	.byte	0x7
	.long	.LASF2
	.uleb128 0x2
	.byte	0x4
	.byte	0x7
	.long	.LASF3
	.uleb128 0x2
	.byte	0x1
	.byte	0x6
	.long	.LASF4
	.uleb128 0x2
	.byte	0x2
	.byte	0x5
	.long	.LASF5
	.uleb128 0x3
	.byte	0x4
	.byte	0x5
	.string	"int"
	.uleb128 0x2
	.byte	0x8
	.byte	0x5
	.long	.LASF6
	.uleb128 0x2
	.byte	0x8
	.byte	0x7
	.long	.LASF7
	.uleb128 0x2
	.byte	0x4
	.byte	0x5
	.long	.LASF8
	.uleb128 0x2
	.byte	0x1
	.byte	0x6
	.long	.LASF9
	.uleb128 0x4
	.byte	0x1
	.long	.LASF10
	.byte	0x1
	.byte	0x6
	.byte	0x1
	.long	0x25
	.long	.LFB0
	.long	.LFE0
	.byte	0x1
	.byte	0x9c
	.long	0xce
	.uleb128 0x5
	.string	"x"
	.byte	0x1
	.byte	0x6
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x6
	.string	"y"
	.byte	0x1
	.byte	0x8
	.long	0xce
	.byte	0x2
	.byte	0x91
	.sleb128 -28
	.uleb128 0x6
	.string	"z"
	.byte	0x1
	.byte	0x9
	.long	0xce
	.byte	0x2
	.byte	0x91
	.sleb128 -24
	.uleb128 0x6
	.string	"t"
	.byte	0x1
	.byte	0xa
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 -20
	.uleb128 0x7
	.long	.LASF12
	.long	0xe4
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	__PRETTY_FUNCTION__.2364
	.byte	0x0
	.uleb128 0x8
	.byte	0x4
	.long	0x25
	.uleb128 0x9
	.long	0x6b
	.long	0xe4
	.uleb128 0xa
	.long	0x25
	.byte	0x4
	.byte	0x0
	.uleb128 0xb
	.long	0xd4
	.uleb128 0x4
	.byte	0x1
	.long	.LASF11
	.byte	0x1
	.byte	0x1f
	.byte	0x1
	.long	0x33
	.long	.LFB1
	.long	.LFE1
	.byte	0x1
	.byte	0x9c
	.long	0x145
	.uleb128 0x5
	.string	"x"
	.byte	0x1
	.byte	0x1f
	.long	0x33
	.byte	0x2
	.byte	0x91
	.sleb128 -36
	.uleb128 0x6
	.string	"y"
	.byte	0x1
	.byte	0x21
	.long	0x145
	.byte	0x2
	.byte	0x91
	.sleb128 -28
	.uleb128 0x6
	.string	"z"
	.byte	0x1
	.byte	0x22
	.long	0x145
	.byte	0x2
	.byte	0x91
	.sleb128 -24
	.uleb128 0x6
	.string	"t"
	.byte	0x1
	.byte	0x23
	.long	0x33
	.byte	0x2
	.byte	0x91
	.sleb128 -18
	.uleb128 0x7
	.long	.LASF12
	.long	0x14b
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	__PRETTY_FUNCTION__.2378
	.byte	0x0
	.uleb128 0x8
	.byte	0x4
	.long	0x33
	.uleb128 0xb
	.long	0xd4
	.uleb128 0xc
	.byte	0x1
	.long	.LASF16
	.byte	0x1
	.byte	0x39
	.byte	0x1
	.long	0x4f
	.long	.LFB2
	.long	.LFE2
	.byte	0x1
	.byte	0x9c
	.byte	0x0
	.section	.debug_abbrev
	.uleb128 0x1
	.uleb128 0x11
	.byte	0x1
	.uleb128 0x25
	.uleb128 0xe
	.uleb128 0x13
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1b
	.uleb128 0xe
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x10
	.uleb128 0x6
	.byte	0x0
	.byte	0x0
	.uleb128 0x2
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.byte	0x0
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x8
	.byte	0x0
	.byte	0x0
	.uleb128 0x4
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x5
	.uleb128 0x5
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x7
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x34
	.uleb128 0xc
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x8
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x9
	.uleb128 0x1
	.byte	0x1
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xa
	.uleb128 0x21
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0xb
	.uleb128 0x26
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xc
	.uleb128 0x2e
	.byte	0x0
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.byte	0x0
	.section	.debug_pubnames,"",@progbits
	.long	0x29
	.value	0x2
	.long	.Ldebug_info0
	.long	0x168
	.long	0x72
	.string	"do32"
	.long	0xe9
	.string	"do16"
	.long	0x150
	.string	"main"
	.long	0x0
	.section	.debug_pubtypes,"",@progbits
	.long	0xe
	.value	0x2
	.long	.Ldebug_info0
	.long	0x168
	.long	0x0
	.section	.debug_aranges,"",@progbits
	.long	0x1c
	.value	0x2
	.long	.Ldebug_info0
	.byte	0x4
	.byte	0x0
	.value	0x0
	.value	0x0
	.long	.Ltext0
	.long	.Letext0-.Ltext0
	.long	0x0
	.long	0x0
	.section	.debug_str,"MS",@progbits,1
.LASF6:
	.string	"long long int"
.LASF13:
	.string	"GNU C 4.4.5 20101112 (Red Hat 4.4.5-2)"
.LASF3:
	.string	"long unsigned int"
.LASF7:
	.string	"long long unsigned int"
.LASF14:
	.string	"pushpopmem.c"
.LASF15:
	.string	"/root/genprog-many-bugs/valgrind-bug-12474-12475/valgrind/memcheck/tests/x86"
.LASF1:
	.string	"unsigned char"
.LASF9:
	.string	"char"
.LASF8:
	.string	"long int"
.LASF10:
	.string	"do32"
.LASF11:
	.string	"do16"
.LASF2:
	.string	"short unsigned int"
.LASF4:
	.string	"signed char"
.LASF12:
	.string	"__PRETTY_FUNCTION__"
.LASF16:
	.string	"main"
.LASF5:
	.string	"short int"
.LASF0:
	.string	"unsigned int"
	.ident	"GCC: (GNU) 4.4.5 20101112 (Red Hat 4.4.5-2)"
	.section	.note.GNU-stack,"",@progbits
